| Description | Standard v1.1 | X API v2 |
| HTTP methods supported | GET | GET |
| Host domain | https://api.x.com | https://api.x.com |
| Endpoint path | /1.1/friends/ids.json
/1.1/friends/list.json
/1.1/followers/ids.json
/1.1/followers/list.json | /2/users/:id/following
/2/users/:id/followers |
| Authentication | OAuth 1.0a User Context
App only | OAuth 1.0a User Context
OAuth 2.0 Authorization Code with PKCE
App only |
| Default request rate limits | 15 requests per 15 min (per user)
15 requests per 15 min (per app) | 15 requests per 15 min (per user)
15 requests per 15 min (per app) |
| Maximum users per response | GET friends/id & GET followers/id return a maximum of 5000 users IDs per page.
GET friends/list & GET followers/list return a maximum of 200 user objects per page. | 1000 user objects per page |
| Pagination | Token returns in a next_cursor field, which can then be passed as the value to the cursor parameter to return the next page of results. | Token returns in a next_token field, which can then be passed as the value to the token parameter to return the next page of results.
The v2 payload also delivers a previous_token field, which can also be passed with the pagination_token parameter to return the previous page of results. |
| JSON format | Standard v1.1 format | X API v2 format (determined by fields and expansions request parameters, not backward-compatible with v1.1 formats)
To learn more about how to migrate from the Standard v1.1 format to the X API v2 format, please visit our data formats migration guide. |
| Supports selecting which fields return in the payload | | ✔ |
| Supports the Post annotations fields | | ✔ |
| Supports requesting new metrics fields | | ✔ |
| Supports the conversation_id field | | ✔ |
| Requires the use of credentials from a developer App associated with a project | | ✔ |